TilesUtil (Apache Struts API Documentation)
Keywords: org.apache.struts.tiles.TilesUtil,TilesUtil class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.struts.tiles
Class TilesUtil

    java.lang.Object
      |
      +--org.apache.struts.tiles.TilesUtil

Direct Known Subclasses:
  DefinitionsUtil

public class TilesUtil
extends java.lang.Object

Class containing utility methods for Tiles. Methods of this class are static and thereby accessible from anywhere. The underlying implementation can be changed with `setTilesUtil(TilesUtilImpl)`.
Real implementation classes should derive from the `TilesUtilImpl` class.
Some methods are specified to throw the `UnsupportedOperationException` if the underlying implementation doesn't support the operation.

Field Summary
`private static boolean` | `implAlreadySet` Flag to know if internal implementation has been set by the setter method
`protected static org.apache.commons.logging.Log` | `log` Commons Logging instance.
`protected static TilesUtilImpl` | `tilesUtilImpl` The implementation of tilesUtilImpl

Constructor Summary
`TilesUtil()`

Method Summary
`static java.lang.Class` | `applicationClass(java.lang.String className)` Deprecated. Use RequestUtils.applicationClass() instead.
`static DefinitionsFactory` | `createDefinitionsFactory(javax.servlet.ServletContext servletContext, DefinitionsFactoryConfig factoryConfig)` Create Definition factory from specified configuration object.
`static void` | `doForward(java.lang.String uri, javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response, javax.servlet.ServletContext servletContext)` Do a forward using request dispatcher.
`static void` | `doInclude(java.lang.String uri, javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response, javax.servlet.ServletContext servletContext)` Do an include using request dispatcher.
`static void` | `doInclude(java.lang.String uri, javax.servlet.jsp.PageContext pageContext)` Do an include using PageContext.include().
`static ComponentDefinition` | `getDefinition(java.lang.String definitionName, javax.servlet.ServletRequest request, javax.servlet.ServletContext servletContext)` Get a definition by its name.
`static DefinitionsFactory` | `getDefinitionsFactory(javax.servlet.ServletRequest request, javax.servlet.ServletContext servletContext)` Get definition factory from appropriate servlet context.
`static TilesUtilImpl` | `getTilesUtil()` Get the real implementation.
`(package private) static boolean` | `isTilesUtilImplSet()` Getter to know if the underlying implementation is already set to another value than the default value.
`static void` | `setTilesUtil(TilesUtilImpl tilesUtil)` Set the real implementation.
`protected static void` | `testReset()` Reset internal state.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### log

    protected static org.apache.commons.logging.Log log

  Commons Logging instance.

### tilesUtilImpl

    protected static TilesUtilImpl tilesUtilImpl

  The implementation of tilesUtilImpl

### implAlreadySet

    private static boolean implAlreadySet

  Flag to know if internal implementation has been set by the setter method

Constructor Detail

### TilesUtil

    public TilesUtil()

Method Detail

### getTilesUtil

    public static TilesUtilImpl getTilesUtil()

  Get the real implementation.

  Returns:
    The underlying implementation object.

### setTilesUtil

    public static void setTilesUtil(TilesUtilImpl tilesUtil)

  Set the real implementation. This method should be called only once. Successive calls have no effect.

  Parameters:
    `tilesUtil` - The implementaion.

### isTilesUtilImplSet

    static boolean isTilesUtilImplSet()

  Getter to know if the underlying implementation is already set to another value than the default value.

  Returns:
    `true` if `setTilesUtil(org.apache.struts.tiles.TilesUtilImpl)` has already been called.

### doForward

    public static void doForward(java.lang.String uri,
                                 javax.servlet.http.HttpServletRequest request,
                                 javax.servlet.http.HttpServletResponse response,
                                 javax.servlet.ServletContext servletContext)
                          throws java.io.IOException,
                                 javax.servlet.ServletException

  Do a forward using request dispatcher. This method is used by the Tiles package anytime a forward is required.

  Parameters:
    `uri` - Uri or Definition name to forward.
    `request` - Current page request.
    `response` - Current page response.
    `servletContext` - Current servlet context.
    `java.io.IOException`
    `javax.servlet.ServletException`

### doInclude

    public static void doInclude(java.lang.String uri,
                                 javax.servlet.http.HttpServletRequest request,
                                 javax.servlet.http.HttpServletResponse response,
                                 javax.servlet.ServletContext servletContext)
                          throws java.io.IOException,
                                 javax.servlet.ServletException

  Do an include using request dispatcher. This method is used by the Tiles package when an include is required. The Tiles package can use indifferently any form of this method.

  Parameters:
    `uri` - Uri or Definition name to forward.
    `request` - Current page request.
    `response` - Current page response.
    `servletContext` - Current servlet context.
    `java.io.IOException`
    `javax.servlet.ServletException`

### doInclude

    public static void doInclude(java.lang.String uri,
                                 javax.servlet.jsp.PageContext pageContext)
                          throws java.io.IOException,
                                 javax.servlet.ServletException

  Do an include using PageContext.include(). This method is used by the Tiles package when an include is required. The Tiles package can use indifferently any form of this method.

  Parameters:
    `uri` - Uri or Definition name to forward.
    `java.io.IOException`
    `javax.servlet.ServletException`

### getDefinitionsFactory

    public static DefinitionsFactory getDefinitionsFactory(javax.servlet.ServletRequest request,
                                                           javax.servlet.ServletContext servletContext)

  Get definition factory from appropriate servlet context.

  Returns:
    Definitions factory or `null` if not found.

### createDefinitionsFactory

    public static DefinitionsFactory createDefinitionsFactory(javax.servlet.ServletContext servletContext,
                                                              DefinitionsFactoryConfig factoryConfig)
                                                       throws DefinitionsFactoryException

  Create Definition factory from specified configuration object. Create a ConfigurableDefinitionsFactory and initialize it with the configuration object. This later can contain the factory classname to use. Factory is made accessible from tags.

  Fallback of several factory creation methods.

  Parameters:
    `servletContext` - Servlet Context passed to newly created factory.
    `factoryConfig` - Configuration object passed to factory.
  Returns:
    newly created factory of type ConfigurableDefinitionsFactory.
  Throws:
    `DefinitionsFactoryException` - If an error occur while initializing factory

### getDefinition

    public static ComponentDefinition getDefinition(java.lang.String definitionName,
                                                    javax.servlet.ServletRequest request,
                                                    javax.servlet.ServletContext servletContext)
                                             throws FactoryNotFoundException,
                                                    DefinitionsFactoryException

  Get a definition by its name. First, retrieve definition factory and then get requested definition. Throw appropriate exception if definition or definition factory is not found.

  Parameters:
    `definitionName` - Name of requested definition.
    `request` - Current servelet request.
    `servletContext` - current servlet context.
  Throws:
    `FactoryNotFoundException` - Can't find definition factory.
    `DefinitionsFactoryException` - General error in factory while getting definition.
    `NoSuchDefinitionException` - No definition found for specified name

### applicationClass

    public static java.lang.Class applicationClass(java.lang.String className)
                                            throws java.lang.ClassNotFoundException

  Deprecated. Use RequestUtils.applicationClass() instead.

  Return the `Class` object for the specified fully qualified class name from the underlying class loader.

  Parameters:
    `className` - Fully qualified class name to be loaded.
  Returns:
    Class object.
  Throws:
    `java.lang.ClassNotFoundException` - if the class cannot be found

### testReset

    protected static void testReset()

  Reset internal state. This method is used by test suites to reset the class to its original state.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2003 - Apache Software Foundation